
{*******************************************************}
{                                                       }
{       RichViewActions                                 }
{       Farsi (Persian) translation                     }
{                                                       }
{       Copyright (c) Muhammad B Mamouri                }
{       mamouri@rasasoftware.com                        }
{       http://www.rasasoftware.com                     }
{                                                       }
{*******************************************************}
{ Updated: 2006-12-16                                   }
{*******************************************************}

unit RVAL_Farsi;

interface

implementation
uses Windows, RVALocalize;

const
  Messages: TRVAMessages =
  (
  '',
  // not used in actions, but can be useful: common menus:
  // top-level menus: File, Format, Text, Paragraph, Insert, Table, Window, Help
  '&', '&', '&ȝ', '&', '&ǐ', '&', '&', '&', '&',
  // exit
  '&',
  // top-level menus: View, Tools,
  '&', '&',
  // menus: Font size, Font style, Table select, Table cell align, table cell borders
  '', '', '&', '  ', '& ',  
  // actions -------------------------------------------------------------------
  // TrvActionNew
  '&', '|    ',
  // TrvActionOpen
  '& ...', '|     ',
  // TrvActionSave
  '&', '|    ',
  // TrvActionSaveAs
  ' &  ...', '  |       ',
  // TrvActionExport
  '& ...', '|     ',
  // TrvActionPrintPreview
  '&ԝ ǁ', 'ԝ ǁ|     ǁ ',
  // TrvActionPrint
  '&ǁ ...', 'ǁ|  ǁ  ǁ ',
  // TrvActionQuickPrint
  '&ǁ', 'ǁ|ǁ ' ,
  // TrvActionPageSetup
  '& ', ' |   С  С ڡ   ',
  // TrvActionCut
  '&', '|         ',
  // TrvActionCopy
  '&', '|           ',
  // TrvActionPaste
  '&', '|    ',
  // TrvActionPasteSpecial
  ' &', ' |       ',
  // TrvActionSelectAll
  ' &', ' |  ',
  // TrvActionUndo
  '&   ', '   |     ',
  // TrvActionRedo
  '&  ', '  |   ',
  // TrvActionFind
  '& ...', '|     ',
  // TrvActionFindNext
  ' &', ' |  ',
  // TrvActionReplace
  '& ...', '|       ',
  // TrvActionInsertFile
  '& ...', ' |    ',
  // TrvActionInsertPicture
  '& ...', ' |    ',
  // TRVActionInsertHLine
  '& ', '  |   ',
  // TRVActionInsertHyperlink
  '&', ' | ',
  // TrvActionInsertSymbol
  '& ', '  |  ',
  // TrvActionParaList
  '&坐   ...', '坐   |   坐     ǐ ',
  // TrvActionParaBullets
  '&坐 ', '坐 |   坐   ǐ',
  // TrvActionParaNumbering
  '& ', ' |      ',
  // TrvActionColor
  '&   ...', ' |   ',
  // TrvActionFillColor
  '& ', ' |  ӝ  ǐݡ    ',
  // TrvActionInsertPageBreak
  '& ڝ ', ' ڝ | ڝ   ',
  // TrvActionRemovePageBreak
  '& ڝ ', ' ڝ |   ',
  // TrvActionItemProperties
  '& ', ' |   ',
  // TrvActionBackground
  '&  ...', 'ӝ|    ӝ',
  // TrvActionParagraph
  '&ǐ ...', 'ǐ|  ǐ',
  // TrvActionIndentInc
  '& ʐ', ' ʐ| ʐ  ǐ ',
  // TrvActionIndentDec
  '& ʐ', ' ʐ| ʐ  ǐ ',
  // TrvActionWordWrap
  ' &', ' |     ǐ ',
  // TrvActionAlignLeft
  ' &', ' |     ',
  // TrvActionAlignRight
  ' &', ' |     ',
  // TrvActionAlignCenter
  ' &', ' |    ',
  // TrvActionAlignJustify
  '& ', ' |        ',
  // TrvActionParaColor
  ' &ӝ ǐ ...', ' ӝ ǐ|  ӝ ǐ',
  // TrvActionLineSpacing100
  '&坐  ', '   |      ',
  // TrvActionLineSpacing150
  '坐 1.5  ', '坐 1.5  |     1.5   ',
  // TrvActionLineSpacing200
  '坐 2  ', '坐 2  |坐   2   ',
  // TrvActionParaBorder
  'ӝ  & ǐ ...', 'ӝ   ǐ|      ǐ ',
  // TrvActionInsertTable
  ' &', ' |   ',
  // TrvActionTableInsertRowsAbove
  '   &', '   |      ',
  // TrvActionTableInsertRowsBelow
  '   &', '   |      ',
  // TrvActionTableInsertColLeft
  '   &', '   |        ',
  // TrvActionTableInsertColRight
  '   &', '   |        ',
  // TrvActionTableDeleteRows
  '( &(', '( (|      ',
  // TrvActionTableDeleteCols
  '( (', '( (| ݝ     ',
  // TrvActionTableDeleteTable
  '& ', ' | ',
  // TrvActionTableMergeCells
  '&  ...', ' |  ',
  // TrvActionTableSplitCells
  '&  ...', ' |   ',
  // TrvActionTableSelectTable
  ' &', ' |  ',
  // TrvActionTableSelectRows
  '& ݝ', ' ݝ|  ݝ',
  // TrvActionTableSelectCols
  ' &', ' |  ',
  // TrvActionTableSelectCell
  ' &', ' |  ',
  // TrvActionTableCellVAlignTop
  '   &', '   |     ',
  // TrvActionTableCellVAlignMiddle
  '   &', '   |     ',
  // TrvActionTableCellVAlignBottom
  '   &', '   |     ',
  // TrvActionTableCellVAlignDefault

  '   & ', '    |       ',
  // TrvActionTableProperties
  '&  ...', ' |   ',
  // TrvActionTableGrid
  '  ', '  |       ',
  // TrvActionTableCellLeftBorder
  ' &', ' |      ',
  // TrvActionTableCellRightBorder
  ' &', ' |      ',
  // TrvActionTableCellTopBorder
  ' &', ' |      ',
  // TrvActionTableCellBottomBorder
  ' &', ' |      ',
  // TrvActionTableCellAllBorders
  ' &', ' |      ',

  // TrvActionTableCellNoBorders
  '& ', ' |    ',
  // TrvActionFonts & TrvActionFontEx
  '& ...', '|   ',
  // TrvActionFontBold
  '&', '|      ',
  // TrvActionFontItalic
  '&', '|      ',
  // TrvActionFontUnderline
  '&  ', '  |        ',
  // TrvActionFontStrikeout
  '& ', ' |      ',
  // TrvActionFontGrow
  '&  ', '  | 10%    ',
  // TrvActionFontShrink
  '&  ', '  |  10%  ',
  // TrvActionFontGrowOnePoint
  '&    ', '    |       ',
  // TrvActionFontShrinkOnePoint
  '&    ', '    |    ',
  // TrvActionFontAllCaps
  '& ѐ', ' ѐ|       ѐ',
  // TrvActionFontOverline
  '& ', ' |     ',
  // TrvActionFontColor
  '&  ...', ' |   ',
  // TrvActionFontBackColor
  '  &ӝ', ' ӝ |  ӝ  ',
  // TrvActionAddictSpell3
  '&', ' | ',
  // TrvActionAddictThesaurus3
  '& ', ' | ǎ    ',
  // TrvActionParaLTR
  '  ', '  | ǐ       ',
  // TrvActionParaRTL
  '  ', '  | ǐ       ',
  // TrvActionLTR
  '   ', '  |        ',
  // TrvActionRTL
  '   ', '   |        ',
  // TrvActionCharCase
  ' ', ' |   ',
  // TrvActionShowSpecialCharacters
  ' &эǁ', ' эǁ|     эǁ   ǐݡ ȝ  ',
  // TrvActionSubscript
  {*} 'Su&bscript', 'Subscript|Converts the selected text to subscript',
  // TrvActionSuperscript
  {*} 'Superscript', 'Superscript|Converts the selected text to superscript',  
  // button captions: OK, Cancel, Close, Insert, Open, Save, Clear, Help -------
   '', '', '', '', '& ...', '& ...', '&', '',
  // Others  -------------------------------------------------------------------
  // percents, pixels
  '', '',
  // left, top, right, bottom sides
  ' ', ' ', ' ', ' ',
  // save changes? confirm title
  '   %s  Ͽ', '',
  // warning: losing formatting
  '%s          .'#13+
 
  '            Ͽ',
  // RVF format name
  ' RichView',
  // Error messages ------------------------------------------------------------
  '',
  '   .' + #13#13 + ' :' + #13 + '-          ;'+#13+
  '-    ;' + #13 + '-          .',
  '   .' + #13#13 + ' :' + #13 + '-           .' + #13+
  '-    ;' + #13+
  '-    ;' + #13 + '-          .',
  '   .' + #13#13 + ' :' + #13 + '-    ;' + #13+
  '-       ;' + #13 + '-     ʐ  .' + #13+
  '-          ' + #13 + '-     .',
  // File filters --------------------------------------------------------------
  // RVF, RTF, XML (for RichViewXML)
  'RichView Files (*.rvf)|*.rvf',  'RTF Files (*.rtf)|*.rtf' , 'XML Files (*.xml)|*.xml',
  // Text - ansi, unicode, auto
  'Text Files (*.txt)|*.txt', 'Text Files - Unicode (*.txt)|*.txt', 'Text Files - Autodetect (*.txt)|*.txt',
  // open html (RVHtmlImporter), save HTML with CSS, save HTML without CSS
  'HTML Files (*.htm;*.html)|*.htm;*.html', 'HTML (*.htm;*.html)|*.htm;*.html',
  'HTML - Simplified (*.htm;*.html)|*.htm;*.html',
  // Search and replace --------------------------------------------------------
  // Search complete; String not found
  '  ', '      ''%s''  ',
  // 1 string replaced; Several strings replaced
  '1   .', '%d   .',
  // continue search from the beginning/end?
  '    ϡ     Ͽ',
  '    ϡ     Ͽ',
  // Colors -------------------------------------------------------------------
  // Transparent, Auto
  '  ', '',
  // Black, Brown, Olive Green, Dark Green, Dark Teal, Dark blue, Indigo, Gray-80%
  '', '', ' ', ' ', '    ', ' ', '', '-80%',
  // Dark Red, Orange, Dark Yellow, Green, Teal, Blue, Blue-Gray, Gray-50%
  ' ', '', ' ', '', '   ', '', '-', '-50%',
  // Red, Light Orange, Lime, Sea Green, Aqua, Light Blue, Violet, Grey-40%
  '', ' ', '', '   ', '', ' ', '', '-40%',
  // Pink, Gold, Yellow, Bright Green, Turquoise, Sky Blue, Plum, Gray-25%
  '', '', '', ' ', '', ' ', '   ', '-25%',
  // Rose, Tan, Light Yellow, Light Green, Light Turquoise, Pale Blue, Lavender, White
  ' ', '   ', ' ', ' ', ' ', '  ', ' ', '',
  // color picker buttons: Transparent, Auto, More Colors, Default
  // (correspond to color names, but have hotkeys)
  '& ӝ', '&', '&䐝  ...', '& ',
  // Background Form -----------------------------------------------------------
  // Title, Color label, Position group-box, Background group-box, Sample text
  'ӝ', '&:', '', ' ', ' .',
  //positions: None, Full Window, Fixed Tiles, Tiles, Center,
  '& ', ' &', ' &', '& ', '&',
  // Padding button
  '& ...',
  // Fill Color Form -----------------------------------------------------------
  // Title, Apply to, More Colors button, Padding button, Please select color
  '  ', '& :', '&䐝  ...', '&',
  '   .',
  // [apply to:] text, paragraph, table, cell
  '', 'ǐ' , '', '',
  // Font Form -----------------------------------------------------------------
  // Title, Font tab, Layout tab
  '', '', '͝',
  // Font Name, Font Size labels, Font Style group-box, Bold, Italic check-boxes
  '&:', '&', '', '&', '&',
  // Script, Color labels, Default charset
  '&:', '&:', '( )',
  // Effects group-box, Underline, Overline, Strikethrough, All Caps
  '', {*}'  ', '&  ', '&  ', '  &ѐ',
  // Sample, Sample text
  '', ' ',
  // Spacing group-box, Spacing label, Expanded, Condensed,
  '  ', '&:', '& ', '&',
  // Offset group-box, Offset label, Down, Up,
  '', '&:', '&', '&',
  // Scaling group-box, Scaling
  {* - too long, remove "horizontal" } 'ӝ ', '& :',
  // Sub/super script group box, Normal, Sub, Super
  {*} 'Subscripts and superscripts', '&Normal', 'Su&bscript', 'Su&perscript',  
  // 4 Sides Form --------------------------------------------------------------
  // Default Title; Top, Left, Bottom, Right, Equal values check-box
  '  ӝ', '&:', '&:', '&:', '&:', '& ',
  // Hyperlink Form ------------------------------------------------------------
  // Title, Group-box Title, Text, Target, <<Selected Fragment>>
  ' ', '', '&:', '&:', '<<>>',
  // cannot open URL
  '   "%s"  ',
  // hyperlink properties button
  '& ....',
  // Hyperlink Properties Form -------------------------------------------------
  // Title, Group-boxes: Normal colors, Active (highlight) olors
  ' ', ' ', ' ',
  // Text [color], Background [color]
  '&:', '& :',
  // Text [color], Background [color] (different hotkeys)
  '&:', ' :',
  // Same as normal check-box
  '  &',
  // Insert Symbol Form --------------------------------------------------------
  // Title, Font name, Character set, Unicode
  '  ', '&:', '& :', '',
  // Unicode block
  {*} '&Block:',  
  // Character Code, Character Unicode Code, No Character
  ' : %d', ' :  %d', '( )',
  // Insert Table Form ---------------------------------------------------------
  // Title, Table size group-box, nCols, nRows, 
  ' ', ' ', ' &:', ' &ݝ',
  // Table layout group-box, Autosize, Fit, Manual size,
  '͝ ', '& ', '    &', '  & ',
  // Remember check-box
  '       ',
  // Item Properties Form ------------------------------------------------------
  // Title; Image, Layout, Line, Table, Rows, Cells tabs
  '', '', '͝', '', '', '', '',
  // Preview label, Transparency group-box, checkbox, label, no transparent color (use color right-bottom pixel)
  ' :', '', '&  ', '&  :', '& ...', '',
  // VAlign group-box (used 3 times) and label, bottom-baseline, middle-baseline, top, bottom, middle
  ' ', '&:',
  '     ', '     ',
  {*} 'top to line top', 'bottom to line bottom', 'middle to line middle',  
  // Shift By label, Stretch group box, Width, Height, Default size
  '&  ', '', '&:', '&:', '  : %d x %d',
  // spacing group-box, spacing, web group-box, alt text
  '坐', '坐:', '', ' &:',  
  // Horz line group-box, color, width
  ' ', '&:', '&:',
  // Table group-box; Table Width, Color, CellPadding, CellSpacing,
  '', '&:', '&  :', '& ', '&坐 ',
  // More, Border, CellBorders buttons
  '&', '  ...', '  ...',
  // Table border, Cell borders dialog titles
  ' ', ' ԝ ',
  // Table Printing group-box, KeepOnPage checkbox, HeadingRows, HeadingRowsTip labels
  'ǁ ', '&       ', '  ',
  '        ',

  // top, center, bottom, default
  '&', '&', '&', '& ',
  // Cell Settings group-box, BestWidth, BestHeight, FillColor
  '', '& :', ' &:', '&  :',
  // Cell Border group-box,, VisibleSides; shadow, light, border colors
  '', ' :',  '& :', ' &', '&:',
  // Background image
  '& ...',
  // Paste Special Form --------------------------------------------------------
  //Title, Label; Formats: RTF, HTML, Text, UnicodeText, BMP, WMF, graphic files
  ' ', '& :', ' Rich Text', ' HTML',
  '', ' Unicode', ' Bitmap', ' Metafile',
  {*} 'Graphic files',  
  // List Gallery Form ---------------------------------------------------------
  // Title; Bulleted, Numbered tabs; Bulleted, Numbered group-boxes
  '坐   ', '坐    ', '坐    ', 'ʝ  ', 'ʝ ',
  // Customize, Reset, None
  '&  ...', '& ', ' ',
  // Numbering: continue, reset to, create new
  ' ', '  坐', '   ϡ  ',
  // List Gallery 2 Form (HTML) -----------------------------------------------
  // Numbering type
  {*} 'Upper Alpha', 'Upper Roman', 'Decimal', 'Lower Alpha', 'Lower Roman',
  // Bullet type
  {*} 'Circle', 'Disc', 'Square',
  // Level, Start from, Continue numbering, Numbering group-box
  {*} '&Level:', '&Start from:', '&Continue', 'Numbering',    
  // Customize List Form -------------------------------------------------------
  // Title, Levels, Level count, List properties, List type,
  ' ', '', '&"', ' ', ' &:',
  // List types: bullet, image
  '坐 ', '', ' |',
  // Number format, Number, Start level from, Font button
  ' &:', '', ' 坐    :', '& ...',
  // Image button, bullet character, Bullet button,
  '& ...', '& 坐', '&坐 ...',
  // Position of list text, bullet, number, image, text
  '  ', ' 坐', ' ', ' ', ' ',
  // at, left indent, first line indent, from left indent
  '&:', '&ʐ ', '&ʐ  :', ' ʐ ',
  // [only] one level preview, preview
  'ԝ & ', 'ԝ',
  // Preview text
  '    .     .     .     .     .     .     .     .',
  // marker align: left side of marker is aligned [at ...],
  // right side of marker is aligned [at ...], center of marker is aligned [at ...]
  ' ', ' ', '',
  // level #, this level (for combo-box)
  'Level %d', ' ',
  // Marker character dialog title
  '  坐',
  // Paragraph Border and Backgound Form ---------------------------------------
  // Title; Border, Background tabs
  '  ӝ ǐ', '', 'ӝ',
  // Settings group-box; Color, Width, Internal width labels; Offsets button
  '', '&:', '&:', ' &:', '& ...',
  // Sample, Border type group-boxes;
  '', ' ',
  // Border types: none, single, double, tripple, thick inside, thick outside
  '& ', '&', '& ', '& ', '  &', '  &',
  // Fill color group-box; More colors, padding buttons
  '  ', '&䐝  ...', '& ...',
  // preview text
  '    .      .      .',

  // title and group-box in Offsets dialog
  '', ' ',
  // Paragraph Form ------------------------------------------------------------
  // Form title; Alignment group-box; alignments: left, right, center, justify
  'ǐ', '', '&', '&', '&', '  ',
  // Spacing group-box; spacing before, after, between lines, [spacing] by
  '坐', '&:', '&:', '& :', ':',
  // Indents group-box; indents: left, right, first line
  'ʐ', '&:', '&:', ' &:',
  // indented, hanging
  '& ', '& ', '',
  // line spacing: single, 1.5 lines, double, at least, exactly, multiple
  '', '1.5 ', ' ', {*}'At least', {*}'Exactly', 'ϐ',
  // preview text
  '    .     .     .     .     .     . ',
  // tabs: Indents and spacing, Tabs, Text flow
  'ʐ  坐', 'ȝ', ' ',
  // tab stop position label; buttons: set, delete, delete all
  ' &:', '&', '&', ' &',
  // tab align group; left, right, center aligns,
  '', '&', '&', '&',
  // leader radio-group; no leader
  '', '()',
  // tab stops to be deleted, delete none, delete all labels
  'ȝ    :', '()', '.',
  // Pagination group-box, keep with next, keep lines together
  '坐', ' &   ', '&     ',
  // Preview Form --------------------------------------------------------------
  // Title; page width, full pages; pages label
  'ԝ ǁ', ' ', ' ', ':',
  // Invalid Scale, [page #] of #
  '   10  500  ', ' %d',
  // Hints on buttons: first, prior, next, last pages
  ' ', ' ', ' ', ' ',
  // Cell Spacing Form ---------------------------------------------------------
  // Title, groupbox, between cells, from table border to cells
  '坐 ', '坐', ' ', '    ',
  // vertical, horizontal (x2)
  {*} '&Vertical:', '&Horizontal:', 'V&ertical:', 'H&orizontal:',  
  // Table Borders Form --------------------------------------------------------
  // Title; Settings group-box; Color, light color, shadow color
  '', '', '&:', '& :', ' &:',
  // Width; Border type group-box;
  '&:', ' ',
  // Border types: none, sunken, raised, flat
  '& ', '& ', '&', '&',
  // Split Cells Form ----------------------------------------------------------
  // title, group-box
  ' ', '  ',
  // split to specified number of rows and cols, split to original cells (unmerge)
  '&   ݝ  ', ' &',

  // number of columns, rows, merge before
  ' &:', ' ݝ:', '&    ',
  // to original cols, rows check-boxes
  '   & ', '   &ݝ ',
  // Add Rows form -------------------------------------------------------------
  '  ݝ', '& ݝ:',
  // Page Setup form -----------------------------------------------------------
  // title, Page tab, Header&Footer tab
  ' ', '', '  ',
  // margins group-box, left, right, top, bottom
  ' ()', ' ()', '&:', '&:', '&:', '&:',
  // mirror margins check-box
  '& ',
  // orientation group-box, portrait, landscape
  '', '&', '&',
  // paper group-box, paper size, default paper source
  '', '&:', '&:',
  // header group-box, print on the first page, font button
  '', '&:', '&   ', '& ...',
  // header alignments: left, center, right
  '&', '&', '&',
  // the same for footer (different hotkeys)
  '', '&:', '&   ', '& ...',
  '&', '&', '&',
  // page numbers group-box, start from
  ' ', '& :',
  // hint about codes
  '  :' + #13 + '&&p -  ; &&P -  ; &&d -  ; &&t -  .',
  // Ruler ---------------------------------------------------------------------
  // Hints: table column resize, row resize
  '   ', '   ',
  // Hints on indents: first line, left (together with first), left (without first), right
  'ʐ  ', ' ', ' ', ' ',
  // Hints on lists: up one level (left), down one level (right)
  {*}'Up One Level', 'Down One Level',
  // Hints for margins: bottom, left, right and top
  {*}'Bottom margin', 'Left margin', 'Right margin', 'Top margin',
  // Hints for tabs: left, right, center, decimal (reserved) aligned
  '   ', '   ', '   ', '    ',
  // spelling check and thesaurus ----------------------------------------------
  '&', '  & Ȑ', '&   '    
  );


initialization
  RVA_RegisterLanguage('Farsi', ARABIC_CHARSET, @Messages);

end.
